import SpMdtDashbord from './AegleMdtDashbord/index.js'
import SpPreview from './AeglePreview/index'
import SpResizeContainer from './ResizeContainer/index'
import SpFollow from './AegleFollow/index'
import SpPain from './AeglePain/index'
import SpDiscomfort from './AegleDiscomfort/index.js'
// import SpFollowTask from './AegleFollowTask/index.js'
import SpCancerDialog from './AegleCancerDialog/index.js'
import SpImgView from './AegleImgView/index.js'
import SpDropSel from './AegleDropSel/index.js'
import SpTitle from './AegleTitle/index.js'
import SpEllipsis from './AegleEllipsis/index.js'
import SpAddFollow from './AegleAddFollow/index.js'
import SpTumorBord from './AegleTumorBord/index.js'
const components = [
    SpMdtDashbord,
    SpPreview,
    SpResizeContainer,
    SpFollow,
    SpPain,
    SpDiscomfort,
    // SpFollowTask,
    SpCancerDialog,
    SpImgView,
    SpDropSel,
    SpTitle,
    SpEllipsis,
    SpAddFollow,
    SpTumorBord
]
const install = function(Vue, opt) {
    components.forEach(component => {
        Vue.component(component.name, component);
    });
}
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}
export default {
    install,
    ...components
}